# Introduction

Matos is a simple OS.

It's targetting x86 and inspirated by http://sos.enix.org/fr/PagePrincipale

# Dependencies

To generate iso image

 * `mtools xorriso (which is libisoburn on ArchLinux)`
 *  gcc >= 6

# Run it

 `make run`

 or

 `make fd.iso && qemu-system-x86_64 -cdrom fd.iso`

 you can also test it

 `make self_test`

# Debug

gdb could be launch with debug symbols using :

 `make debug`

Then you can check some matos specific commands or pretty printing with

 `help user-defined`
 `info pretty-printer` (Should contains matos_pretty_printers)
